# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 4.3

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/build

# Include any dependencies generated for this target.
include CMakeFiles/7_Musiker.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include CMakeFiles/7_Musiker.dir/compiler_depend.make

# Include the progress variables for this target.
include CMakeFiles/7_Musiker.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/7_Musiker.dir/flags.make

CMakeFiles/7_Musiker.dir/codegen:
.PHONY : CMakeFiles/7_Musiker.dir/codegen

CMakeFiles/7_Musiker.dir/main.cpp.o: CMakeFiles/7_Musiker.dir/flags.make
CMakeFiles/7_Musiker.dir/main.cpp.o: /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/main.cpp
CMakeFiles/7_Musiker.dir/main.cpp.o: CMakeFiles/7_Musiker.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object CMakeFiles/7_Musiker.dir/main.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/7_Musiker.dir/main.cpp.o -MF CMakeFiles/7_Musiker.dir/main.cpp.o.d -o CMakeFiles/7_Musiker.dir/main.cpp.o -c /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/main.cpp

CMakeFiles/7_Musiker.dir/main.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/7_Musiker.dir/main.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/main.cpp > CMakeFiles/7_Musiker.dir/main.cpp.i

CMakeFiles/7_Musiker.dir/main.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/7_Musiker.dir/main.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/main.cpp -o CMakeFiles/7_Musiker.dir/main.cpp.s

CMakeFiles/7_Musiker.dir/Musikinstrument.cpp.o: CMakeFiles/7_Musiker.dir/flags.make
CMakeFiles/7_Musiker.dir/Musikinstrument.cpp.o: /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/Musikinstrument.cpp
CMakeFiles/7_Musiker.dir/Musikinstrument.cpp.o: CMakeFiles/7_Musiker.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building CXX object CMakeFiles/7_Musiker.dir/Musikinstrument.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/7_Musiker.dir/Musikinstrument.cpp.o -MF CMakeFiles/7_Musiker.dir/Musikinstrument.cpp.o.d -o CMakeFiles/7_Musiker.dir/Musikinstrument.cpp.o -c /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/Musikinstrument.cpp

CMakeFiles/7_Musiker.dir/Musikinstrument.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/7_Musiker.dir/Musikinstrument.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/Musikinstrument.cpp > CMakeFiles/7_Musiker.dir/Musikinstrument.cpp.i

CMakeFiles/7_Musiker.dir/Musikinstrument.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/7_Musiker.dir/Musikinstrument.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/Musikinstrument.cpp -o CMakeFiles/7_Musiker.dir/Musikinstrument.cpp.s

CMakeFiles/7_Musiker.dir/Trompete.cpp.o: CMakeFiles/7_Musiker.dir/flags.make
CMakeFiles/7_Musiker.dir/Trompete.cpp.o: /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/Trompete.cpp
CMakeFiles/7_Musiker.dir/Trompete.cpp.o: CMakeFiles/7_Musiker.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building CXX object CMakeFiles/7_Musiker.dir/Trompete.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/7_Musiker.dir/Trompete.cpp.o -MF CMakeFiles/7_Musiker.dir/Trompete.cpp.o.d -o CMakeFiles/7_Musiker.dir/Trompete.cpp.o -c /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/Trompete.cpp

CMakeFiles/7_Musiker.dir/Trompete.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/7_Musiker.dir/Trompete.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/Trompete.cpp > CMakeFiles/7_Musiker.dir/Trompete.cpp.i

CMakeFiles/7_Musiker.dir/Trompete.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/7_Musiker.dir/Trompete.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/Trompete.cpp -o CMakeFiles/7_Musiker.dir/Trompete.cpp.s

CMakeFiles/7_Musiker.dir/Klavier.cpp.o: CMakeFiles/7_Musiker.dir/flags.make
CMakeFiles/7_Musiker.dir/Klavier.cpp.o: /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/Klavier.cpp
CMakeFiles/7_Musiker.dir/Klavier.cpp.o: CMakeFiles/7_Musiker.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building CXX object CMakeFiles/7_Musiker.dir/Klavier.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/7_Musiker.dir/Klavier.cpp.o -MF CMakeFiles/7_Musiker.dir/Klavier.cpp.o.d -o CMakeFiles/7_Musiker.dir/Klavier.cpp.o -c /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/Klavier.cpp

CMakeFiles/7_Musiker.dir/Klavier.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/7_Musiker.dir/Klavier.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/Klavier.cpp > CMakeFiles/7_Musiker.dir/Klavier.cpp.i

CMakeFiles/7_Musiker.dir/Klavier.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/7_Musiker.dir/Klavier.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/Klavier.cpp -o CMakeFiles/7_Musiker.dir/Klavier.cpp.s

CMakeFiles/7_Musiker.dir/Musiker.cpp.o: CMakeFiles/7_Musiker.dir/flags.make
CMakeFiles/7_Musiker.dir/Musiker.cpp.o: /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/Musiker.cpp
CMakeFiles/7_Musiker.dir/Musiker.cpp.o: CMakeFiles/7_Musiker.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Building CXX object CMakeFiles/7_Musiker.dir/Musiker.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/7_Musiker.dir/Musiker.cpp.o -MF CMakeFiles/7_Musiker.dir/Musiker.cpp.o.d -o CMakeFiles/7_Musiker.dir/Musiker.cpp.o -c /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/Musiker.cpp

CMakeFiles/7_Musiker.dir/Musiker.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/7_Musiker.dir/Musiker.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/Musiker.cpp > CMakeFiles/7_Musiker.dir/Musiker.cpp.i

CMakeFiles/7_Musiker.dir/Musiker.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/7_Musiker.dir/Musiker.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/Musiker.cpp -o CMakeFiles/7_Musiker.dir/Musiker.cpp.s

CMakeFiles/7_Musiker.dir/Orchester.cpp.o: CMakeFiles/7_Musiker.dir/flags.make
CMakeFiles/7_Musiker.dir/Orchester.cpp.o: /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/Orchester.cpp
CMakeFiles/7_Musiker.dir/Orchester.cpp.o: CMakeFiles/7_Musiker.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_6) "Building CXX object CMakeFiles/7_Musiker.dir/Orchester.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/7_Musiker.dir/Orchester.cpp.o -MF CMakeFiles/7_Musiker.dir/Orchester.cpp.o.d -o CMakeFiles/7_Musiker.dir/Orchester.cpp.o -c /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/Orchester.cpp

CMakeFiles/7_Musiker.dir/Orchester.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/7_Musiker.dir/Orchester.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/Orchester.cpp > CMakeFiles/7_Musiker.dir/Orchester.cpp.i

CMakeFiles/7_Musiker.dir/Orchester.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/7_Musiker.dir/Orchester.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/Orchester.cpp -o CMakeFiles/7_Musiker.dir/Orchester.cpp.s

# Object files for target 7_Musiker
7_Musiker_OBJECTS = \
"CMakeFiles/7_Musiker.dir/main.cpp.o" \
"CMakeFiles/7_Musiker.dir/Musikinstrument.cpp.o" \
"CMakeFiles/7_Musiker.dir/Trompete.cpp.o" \
"CMakeFiles/7_Musiker.dir/Klavier.cpp.o" \
"CMakeFiles/7_Musiker.dir/Musiker.cpp.o" \
"CMakeFiles/7_Musiker.dir/Orchester.cpp.o"

# External object files for target 7_Musiker
7_Musiker_EXTERNAL_OBJECTS =

7_Musiker: CMakeFiles/7_Musiker.dir/main.cpp.o
7_Musiker: CMakeFiles/7_Musiker.dir/Musikinstrument.cpp.o
7_Musiker: CMakeFiles/7_Musiker.dir/Trompete.cpp.o
7_Musiker: CMakeFiles/7_Musiker.dir/Klavier.cpp.o
7_Musiker: CMakeFiles/7_Musiker.dir/Musiker.cpp.o
7_Musiker: CMakeFiles/7_Musiker.dir/Orchester.cpp.o
7_Musiker: CMakeFiles/7_Musiker.dir/build.make
7_Musiker: CMakeFiles/7_Musiker.dir/compiler_depend.ts
7_Musiker: CMakeFiles/7_Musiker.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=/home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_7) "Linking CXX executable 7_Musiker"
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/7_Musiker.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
CMakeFiles/7_Musiker.dir/build: 7_Musiker
.PHONY : CMakeFiles/7_Musiker.dir/build

CMakeFiles/7_Musiker.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles/7_Musiker.dir/cmake_clean.cmake
.PHONY : CMakeFiles/7_Musiker.dir/clean

CMakeFiles/7_Musiker.dir/depend:
	cd /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/build /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/build /home/tobii/02_Uni/SS26/02_ObjektorientierteProgrammierung/Praktikum/7_Musiker/code/build/CMakeFiles/7_Musiker.dir/DependInfo.cmake "--color=$(COLOR)" 7_Musiker
.PHONY : CMakeFiles/7_Musiker.dir/depend

